// 路由注册-公司
// 秒寻科技
// zt 2024-02-01

package companyrouter

import (
	"ipsomc/core/company/companyhandler"
	"ipsomc/core/gin/midware/endecrypt"

	"github.com/gin-gonic/gin"
)

// 配置项目路由
func SetRouter(r *gin.RouterGroup) {
	groupRouter := r.Group("/company") //路由分组
	groupHand := companyhandler.CompanyHand{}

	//请求参数解密
	groupRouter.Use(endecrypt.DecryptReqParam())

	//公司注册
	groupRouter.POST("/companyRegister", groupHand.CompanyRegisterHan)
}
